Subject: Re: bug#24423: Proposal to set buffer not-modified when downloading a sieve script

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 13 Sep 2016 08:08:45 +0900

On Mon, 12 Sep 2016 16:03:18 -0400, TSUCHIYA Masatoshi wrote:
> Because sieve-edit-script() does not set buffer not-modified when
> downloading a sieve script, so, a user including muself cannot
> distinguish whether the viewing script is modified or not modified from
> the downloaded script on the managesieve server.

> If sieve-edit-script() set buffer not-modified when downloading a sieve
> script, a user can distinguish its modified status easily.

> Therefore, I propose the following patch.

The patch looks fine and useful.  I've committed it in the Emacs
master with this log entry:

sieve.el: Make the buffer to edit unmodified initially (bug#24423)

* lisp/net/sieve.el (sieve-edit-script):
Make the buffer to edit be not modified-p initially (bug#24423).

Thanks.